class Student    # reopening class
  # Assuming Person has a say_hello method...
  alias :say_hi :say_hello
  def say_hello
    puts "Hi, there."
  end
  def formal_greeting
    # Say hello the way my superclass would.
    say_hi
  end
end

